<?php
// require_once 'inc/armazens_locais.php';
require_once 'inc/local_estoque.php';
require_once 'inc/usuario.php';

checkLogin('login.php');

function ler_local_estoque() {
  date_default_timezone_get('America/Sao_Paulo');
  $local_estoque = local_estoque_create();

  if (isset($_POST['local_estoque'])) {
    $local_estoque = array_replace_recursive($local_estoque, $_POST['local_estoque']);
  }
 
  foreach($local_estoque as $k => $v) {
    $local_estoque[$k] = sgcws_sanitize_field($k, $v);

    //  echo "<br> $key ==> $v";
  }

  $itens = $local_estoque['itens'];
  foreach($itens as $i => $item) {
    foreach($item as $k => $v) {
      $item[$k] = sgcws_sanitize_field($k, $v);
    }
    $itens[$i] = $item;
  }
  $local_estoque['itens'] = $itens;

return $local_estoque;
}

$local_estoque = ler_local_estoque();
// capturando o usuário e unidade logado
$usuario_pedido = getLoggedUser();
$local_estoque['id_usuario']=$usuario_pedido['id'];

// print($local_estoque['tiporelatorio']);
// print_r($local_estoque);

?>
<div class="block">
    <div class="header">
      <h2>Impressão Lista de Produtos e/ou Etiquetas</h2>
</div>

<?php 
   if($local_estoque['tiporelatorio'] == 1){ 
        $itens = $local_estoque['itens'];
        if (count($itens) > 0) {
            foreach($itens as $item) {
?>
        <div class="form-row" style="boder:1px solid black;background-color:white;color:black">
          <div class="col-md-4">
              <div style="border-style:dotted;width:500px;">
                <div style="margin:15px">
                <center>
                  <?=$local_estoque[ds_local]?>&nbsp;&nbsp;&nbsp;<b>Nº:</b> <?=$local_estoque[referenciaimpressao]?>
                </center>
                <hr/>
                <b>Código:</b> <?=$item['id_produto']?><br/><br/>
                <b>Descrição:</b> <?=$item['ds_produto']?><br/><br/>
                <b>Tipo:</b> <?=item['ds_tipo_produto']?><br/>
                <hr/>
                Data 1º contagem : _______ / _______ / ___________<br/><br/>

                Quantidade Apurada: ________________________________<br/><br/>

                Endereço: __________________________________________ <br><br/>

                _________________________&nbsp;&nbsp;&nbsp;______________________
                <br/>
                &nbsp;&nbsp;Visto Funcionário
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                &nbsp;&nbsp;Visto Conferente
                </div>
              </div>
            </div>
        </div>
<?php        
            }
        
          }
          
    }

    if($local_estoque['tiporelatorio'] == 0){
?> 
        <table cellspacing="10" cellpadding="5" border="1" width="90%">
         <tr>  
            <td width="30px"><b>Código</b></td>
            <td width="350px"><b>Descrição</b></td>
            <td width="30px"><b>Unidade</b></td>
            <td width="30px"><b>1ª Contagem</b></td>
            <td width="30px"><b>2ª Contagem</b></td>
            <td width="30px"><b>3ª Contagem</b></td>
            <td width="300px"><b>Endereço</b></td>
        </tr>
<?php
       $itens = $local_estoque['itens'];
       if (count($itens) > 0) {
           foreach($itens as $item) {
?>
          <tr>  
            <td><?=$item['id_produto']?></td>
            <td><?=$item['ds_produto']?></td>
            <td><?=$item['id_unidade_medida']?></td>
            <td></td>
            <td></td>
            <td></td>
            <td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
          </tr>
<?php
           }
       }
?>

        </table>

<?php
    }
?>
